using System;
using System.Collections.Generic;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n;
            int k;
            List<int> karte = new List<int>();
            int vidjenBroj = 0;

            var nums = Console.ReadLine().Split(' ');
            n = int.Parse(nums[0]);
            k = int.Parse(nums[1]);

            var brojevi = Console.ReadLine().Split(' ');

            for(int i=0;i<n;i++)
            {
                karte.Add(int.Parse(brojevi[i]));
            }

            int ind = karte.IndexOf(k);

            if(ind!=-1)
            {
                if(ind == n-1)
                {
                    vidjenBroj = karte[0];
                }
                else
                {
                    vidjenBroj = karte[ind + 1];
                }
            }

            Console.WriteLine(vidjenBroj);
        }
    }
}